net.sf.cglib.beans

## Class ImmutableBean

- java.lang.Object
- - net.sf.cglib.beans.ImmutableBean

-     public class ImmutableBean
      extends java.lang.Object

  Author:
    Chris Nokleberg

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ImmutableBean.Generator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Object` | `create(java.lang.Object bean)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static java.lang.Object create(java.lang.Object bean)

Copyright (c) 2001 - Apache Software Foundation